cURL
curl --request POST \ --url https://public.api.live.turrisfi.com/v1/agents \ --header 'Content-Type: application/json' \ --data ' { "npn": "12345678", "email": "agent@example.com", "downstreamEntityAssociationId": "507f1f77bcf86cd799439012" } '
{ "data": { "agent": { "_id": "<string>", "npn": "<string>", "firstName": "<string>", "lastName": "<string>", "downstreamEntityAgentAssociationIds": [ "<string>" ], "createdAt": "<string>", "updatedAt": "<string>" }, "onboardingCategory": "addition", "niprDataSubscription": { "dataOwnerId": "<string>", "dataOwnerModel": "<string>", "entityModel": "<string>", "entityInfo": { "status": "<string>", "jobId": "<string>", "message": "<string>", "rawEntityInfoId": "<string>" }, "npn": "<string>", "lastSynchronizationDate": "2023-11-07T05:31:56Z", "pdbAlertsSubscriptionStatus": "<string>", "pdbAlertsPausedAt": "2023-11-07T05:31:56Z" }, "isUploadedByUpstreamEntity": true, "isDeleted": true, "isArchived": true, "authority": [ { "upstreamEntityProductId": "<string>", "requestedStates": [ "CA", "TX", "NY" ], "approvedStates": [ "CA", "TX" ] } ], "email": "<string>", "isDeliverable": true, "externalId": "<string>" }, "requestId": "dev-2c5e7cf2-9acf-4c8c-ab2f-b81f39d775a8", "timestamp": "2025-11-12T20:49:03.293Z" }
Add a new agent to your organization
National Producer Number (NPN) of the agent
"12345678"
Email address of the agent
"agent@example.com"
MongoDB ID of the downstream entity association
"507f1f77bcf86cd799439012"
Agent successfully added
Show child attributes
Unique request identifier
"dev-2c5e7cf2-9acf-4c8c-ab2f-b81f39d775a8"
Response timestamp
"2025-11-12T20:49:03.293Z"
Was this page helpful?
Suggestions
Contact support